Subject: RE: [lemonade] partial fetches with IMAP URLs?

From: [email-masked]
Date: Tue, 23 Nov 2004 15:18:49 -0600

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of ext Mark Crispin
> Sent: Tuesday, November 23, 2004 3:25 PM
...
> On Tue, 23 Nov 2004 [email-masked] wrote:
> > Of course the same rule applies in the case where there may be
> > URL to the right of <token>. In other words the rule can be the
> > same. So I don't see madness. I see consistency. Everything to
> > the left is signed. Everything to the right is not signed.
> 
> The current definition of URLAUTH requires that the URLAUTH 
> be the last 
> thing in the URL.

I understand. My response above assumes that would be changed.

> 
> > I think there may be more confusion by allowing ranges to be
> > defined in two places, i.e. the URL and in a command that
> > uses a URL. Now there is the issue of tracking mismatches
> > between them or disallowing them to be used together.
> 
> These do two entirely different things.
> 
> One, in the generated URL, is a range determined by the entity that 
> generated the URL, and the client can not retrieve outside that range.
> 
> The other allows the client to do partial fetching within 
> data that he has 
> access to.

I understand. So you chose the first semantic I listed. The fact that one
range is signed, and one is not is irrelevant when it comes to tracking 
range mismatch issues.

In any event I don't think the use case you describe is very meaningful.
The usefulness of partial fetch is driven more by the mechanics of how
the client software chooses to download the message or body part, not 
by partial authorizations.

Why would a client want to authorize a slice of a message or body part?
How would the granting client even know what slice to authorize?

The answer to the above questions is that it would require human 
intervention.

How would the receiving client know what to do with this slice once it 
was granted access to it?

Mike

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade

---

From: Mark Crispin <[email-masked]>
Date: Tue, 23 Nov 2004 13:31:56 -0800 (Pacific Standard Time)

> How would the granting client even know what slice to authorize?

I can think of any number of cases in which I might want to grant access 
to a portion of my mailbox but not all of it.  URLAUTH reduces the 
granularity to message and segment within a message.  This is a further 
reduction in granularity.

Note that IMAPURL does not permit the full richness of IMAP sections; in 
particular, note that IMAPURL has a "section" syntax rule which is a 
subset of the corresponding rule in IMAP.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.